#include "gobotrpc.hpp"
#include <string.h>

GobotRPCParser::GobotRPCParser() {
    for(int i = 0; i < NUM_SLOTS; i++) {
        buffer[i].timestamp = 0;
        buffer[i].is_complete = false;
        buffer[i].is_in_use = false;
        buffer[i].used_bit_masked = 0;
        buffer[i].sender_address = 0;
        buffer[i].rpcNum = Invalid;
        buffer[i].type = INVALID;
        buffer[i].length = 0;

        memset(buffer[i].buffer, 0, MAX_PAGE_SIZES);
    }

    finishedScanIndex = 0;
    address_mask = 0xFFFFFFFF;
}
